regina::detail::ExampleBase< dim > Class Template Reference
Implementation details

Provides core functionality for constructing example dim-dimensional triangulations. More...

`#include <triangulation/detail/example.h>`

Inheritance diagram for regina::detail::ExampleBase< dim >:

## Static Public Member Functions

static Triangulation< dim > * | doubleCone (const Triangulation< dim-1 > &base)
| Returns a double cone over the given (dim-1)-dimensional triangulation. More...
static Triangulation< dim > * | singleCone (const Triangulation< dim-1 > &base)
| Returns a single cone over the given (dim-1)-dimensional triangulation. More...
static Triangulation< dim > * | ball ()
| Bounded Triangulations. More...
static Triangulation< dim > * | ballBundle ()
| Returns a triangulation of the product space `B^(dim-1) x S^1`. More...
static Triangulation< dim > * | twistedBallBundle ()
| Returns a triangulation of the twisted product space `B^(dim-1) x~ S^1`. More...
| ExampleBase ()=delete
| Closed Triangulations. More...
static Triangulation< dim > * | sphere ()
| Returns a two-simplex triangulation of the dim-sphere. More...
static Triangulation< dim > * | simplicialSphere ()
| Returns the standard (dim+2)-simplex triangulation of the dim-sphere as the boundary of a (dim+1)-simplex. More...
static Triangulation< dim > * | sphereBundle ()
| Returns a two-simplex triangulation of the product space `S^(dim-1) x S^1`. More...
static Triangulation< dim > * | twistedSphereBundle ()
| Returns a two-simplex triangulation of the twisted product space `S^(dim-1) x~ S^1`. More...

## Detailed Description

### template<int dim>
class regina::detail::ExampleBase< dim >

Provides core functionality for constructing example dim-dimensional triangulations.

These example triangulations are made available through the class Example<dim>, which uses this as a base class. End users should not need to refer to ExampleBase directly.

See the Example class notes for further information.

Python:
  This base class is not present, but the "end user" class Example<dim> is.

Template Parameters

  dim | the dimension of the example triangulations to construct. This must be between 2 and 15 inclusive.

## Constructor & Destructor Documentation

## ExampleBase()

template<int dim>

regina::detail::ExampleBase< dim >::ExampleBase | ( |  | ) |

delete

Closed Triangulations.

Explicitly disable the default constructor.

## Member Function Documentation

## ball()

template<int dim>

Triangulation< dim > * regina::detail::ExampleBase< dim >::ball | ( |  | ) |

static

Bounded Triangulations.

Returns a one-simplex triangulation of the dim-ball.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## ballBundle()

template<int dim>

Triangulation< dim > * regina::detail::ExampleBase< dim >::ballBundle | ( |  | ) |

static

Returns a triangulation of the product space `B^(dim-1) x S^1`.

This will use one simplex in odd dimensions, or two simplices in even dimensions.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## doubleCone()

Triangulation< dim > * regina::detail::ExampleFromLowDim< dim, available >::doubleCone | ( | const Triangulation< dim-1 > & | base | ) |

static inherited

Returns a double cone over the given (dim-1)-dimensional triangulation.

If the given triangulation represents the manifold `M`, then this returns an ideal triangulation of the product `M x I` (with two ideal boundary components). A copy of the original triangulation base can be found at the centre of this construction, formed from the dim-simplices that sit between the two ideal vertices.

Note that, as a special case, if `M` is either a sphere or a ball, then this routine returns a (dim)-sphere or a (dim)-ball (since "ideal spheres" and "ideal balls" just become regular internal and boundary vertices respectively).

This construction is essentially the suspension of the triangulation base. We do not call it this however, since from a topological point of view, to form the ideal triangulation of `M x I` we "remove" the vertices at the apex of each cone.

Warning
  If the given (dim-1)-dimensional triangulation has any boundary whatsoever (either real or ideal), then unless it is a (dim-1)-ball, you will obtain an invalid dim-manifold triangulation as a result.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## simplicialSphere()

template<int dim>

Triangulation< dim > * regina::detail::ExampleBase< dim >::simplicialSphere | ( |  | ) |

static

Returns the standard (dim+2)-simplex triangulation of the dim-sphere as the boundary of a (dim+1)-simplex.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## singleCone()

Triangulation< dim > * regina::detail::ExampleFromLowDim< dim, available >::singleCone | ( | const Triangulation< dim-1 > & | base | ) |

static inherited

Returns a single cone over the given (dim-1)-dimensional triangulation.

If the given triangulation represents the manifold `M`, then this returns a triangulation of the product `M x I` that has one real boundary component and one ideal boundary component. The triangulation of the real boundary component will be identical to the original (dim-1)-dimensional triangulation base.

Warning
  If the given (dim-1)-dimensional triangulation has any boundary whatsoever (either real or ideal), then unless it is a (dim-1)-ball, you will obtain an invalid dim-manifold triangulation as a result.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## sphere()

template<int dim>

Triangulation< dim > * regina::detail::ExampleBase< dim >::sphere | ( |  | ) |

static

Returns a two-simplex triangulation of the dim-sphere.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## sphereBundle()

template<int dim>

Triangulation< dim > * regina::detail::ExampleBase< dim >::sphereBundle | ( |  | ) |

static

Returns a two-simplex triangulation of the product space `S^(dim-1) x S^1`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## twistedBallBundle()

template<int dim>

Triangulation< dim > * regina::detail::ExampleBase< dim >::twistedBallBundle | ( |  | ) |

static

Returns a triangulation of the twisted product space `B^(dim-1) x~ S^1`.

This will use one simplex in even dimensions, or two simplices in odd dimensions.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## twistedSphereBundle()

template<int dim>

Triangulation< dim > * regina::detail::ExampleBase< dim >::twistedSphereBundle | ( |  | ) |

static

Returns a two-simplex triangulation of the twisted product space `S^(dim-1) x~ S^1`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

The documentation for this class was generated from the following file:

- triangulation/detail/example.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).